Skip to main content
GET
get a list of persons

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

the page to be fetched. Default value is 0

size
integer
default:100

the page size to be fetched. Default value is 100. Max value is 100

Required range: x <= 100
personIds
string

the ids of the persons to fetch

personCustomerIds
string

the customer ids of the persons to fetch

beginTs
string<date-time>
default:today at midnight minus 7 days

Define the start timestamp of the range to reduce the number of persons returned.

Person objects modified within the range are returned.

The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'

Default is now -7 days. Period between beginTs and endTs is at most 30 days.

endTs
string<date-time>
default:start of current day at midnight

Define the end timestamp of the range to reduce the number of persons returned.

Person objects modified within the range are returned.

The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'

Default is now. Period between beginTs and endTs is at most 30 days.

view
enum<string>
default:overview

By default, the overview mode is delivered, only the ids of the objects are returned. A complete snaphost of the object can be returned using the details parameter.

Available options:
overview,
details

Response

page
object
required
_embedded
object
required